Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Implicits extends AnyRef

  This trait provides methods to find various kinds of implicits.

  This trait provides methods to find various kinds of implicits.

  Definition Classes
    typechecker
  Version

    1.0

-  class ImplicitSearch extends Analyzer.Typer with Analyzer.ImplicitsContextErrors

  A class that sets up an implicit search.

  A class that sets up an implicit search. For more info, see comments for `inferImplicit`.

  Definition Classes
    Implicits
-  class ImplicitComputation extends AnyRef

  Prune ImplicitInfos down to either all the eligible ones or the best one.

  Prune ImplicitInfos down to either all the eligible ones or the best one.

  Definition Classes
    ImplicitSearch
- DivergentImplicitRecovery
- Shadower

o

scala.tools.nsc.typechecker.Implicits.ImplicitSearch.ImplicitComputation

# DivergentImplicitRecovery 

###

#### object DivergentImplicitRecovery

Preventing a divergent implicit from terminating implicit search, so that if there is a best candidate it can still be selected.

Source
  Implicits.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DivergentImplicitRecovery
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(search: Analyzer.SearchResult, i: Analyzer.ImplicitInfo, errors: Seq[Analyzer.AbsTypeError]): Analyzer.SearchResult
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def issueSavedDivergentError(): Unit
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped